<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Edit</title>
</head>
<body>
<form th:method="PATCH" th:action="@{/books/{id}(id=${book.getId()})}" th:object="${book}">
    <label for="bookName">Введите название книги</label>
    <input type="text" th:field="*{bookName}" id="bookName"/>
    <div style="color:red" th:if="${#fields.hasErrors('bookName')}" th:errors="*{bookName}">Error</div>
    <br/>
    <label for="authorName">Введите има автора</label>
    <input type="text" th:field="*{authorName}" id="authorName"/>
    <div style="color:red" th:if="${#fields.hasErrors('authorName')}" th:errors="*{authorName}">Error</div>
    <br/>
    <label for="dayOfWrite">Введите дату написания</label>
    <input type="text" th:field="*{dayOfWrite}" id="dayOfWrite"/>
    <div style="color:red" th:if="${#fields.hasErrors('dayOfWrite')}" th:errors="*{dayOfWrite}">Error</div>
    <br/>
    <input type="submit" value="Редактировать!"/>
</form>
</body>
</html>